Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1049940 - lorax / distribution ISO images: Include oscap-anaconda-addon into default Fedora bootable iso / install images
Summary: lorax / distribution ISO images: Include oscap-anaconda-addon into default Fe...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Radek Vokál
QA Contact: Radek Vokál
URL: https://fedorahosted.org/oscap-anacon...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-08 14:16 UTC by Jan Lieskovsky
Modified: 2015-06-29 14:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:15:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Lieskovsky 2014-01-08 14:16:14 UTC
Description of problem:

oscap-anaconda-addon:
  https://fedorahosted.org/oscap-anaconda-addon/

introduces new 'SECURITY' section into the main Anaconda Fedora installation screen. This SECURITY section allows user to specify location of preferred SCAP content,that should be used for system installation (SCAP content the final / resulting installed system should comply with).

While there are oscap-anaconda-addon (OAA) packages available for Fedora-19, -20 and Rawhide, the user actually wanting to make use the OAA services to create compliance Fedora system installs needs first to create a customized Fedora compose / boot iso content, as detailed in:
  https://fedorahosted.org/oscap-anaconda-addon/wiki/ComposeCreation

Direct inclusion of 'installpkg oscap-anaconda-addon' into lorax's templates could create default Fedora boot isos / install images, which would:
1) provide possibility to use oscap-anaconda-addon / SECURITY section in cases user wanted to specify SCAP content resulting installed system should comply with after installation,
2) do nothing in default case (IOW when there wasn't SCAP content provide). YIOW the SECURITY section would be optional.

Version-Release number of selected component (if applicable):
Boot iso images for Fedora 20.

How reproducible:
Always

Steps to Reproduce:
1. Download Fedora boot iso image, try to use oscap-anaconda-addon.
2.
3.

Actual results:
'SECURITY' section is not present. A customized Fedora distribution compose:
  https://fedorahosted.org/oscap-anaconda-addon/wiki/ComposeCreation

is necessary to be performed, prior the OAA can be used actually. Since the compose generation is not trivial and time consuming task, current state prevents wider adoption of services provided by OAA Anaconda addon by user, that might be potentially interested in their utilization.

Expected results:
Oscap-anaconda-addon included in Fedora boot iso / install images directly, so users can create Fedora installations according to / complying with desired SCAP content.

Comment 1 Bill Nottingham 2014-01-08 19:57:47 UTC
CC'ing anaconda leads and designers. I believe they should have a voice in whether we start changing the anaconda UI presented to all users.

Comment 2 Vratislav Podzimek 2014-01-09 06:18:41 UTC
I believe this should be a FESCO-based decision.

Comment 3 Jan Lieskovsky 2014-01-09 08:36:54 UTC
(In reply to Vratislav Podzimek from comment #2)
> I believe this should be a FESCO-based decision.

You mean in other words a FESCO ticket should be filed for this?

Comment 4 Vratislav Podzimek 2014-01-09 10:15:08 UTC
(In reply to Jan Lieskovsky from comment #3)
> (In reply to Vratislav Podzimek from comment #2)
> > I believe this should be a FESCO-based decision.
> 
> You mean in other words a FESCO ticket should be filed for this?
Exactly. However, I have no idea how it all would fit in the Fedora.Next thing.

Comment 7 Fedora End Of Life 2015-05-29 10:23:24 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2015-06-29 14:15:52 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.